package com.eitc.common.utils;

import com.itextpdf.html2pdf.ConverterProperties;
import com.itextpdf.html2pdf.HtmlConverter;
import com.itextpdf.layout.font.FontProvider;
import lombok.extern.slf4j.Slf4j;

import javax.servlet.http.HttpServletResponse;
import java.io.BufferedOutputStream;

/**
 * PdfUtil
 *
 * @author mtx
 * @date: 2024/06/04 10:07
 */
@Slf4j
public class PdfUtil {

    /**
     * HTML 转 PDF
     *
     * @param content html内容
     */
    public static void html2Pdf(String content, HttpServletResponse response) {
        try {
            BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(response.getOutputStream());
            ConverterProperties converterProperties = new ConverterProperties();
            converterProperties.setCharset("UTF-8");
            FontProvider fontProvider = new FontProvider();
            fontProvider.addSystemFonts();
            converterProperties.setFontProvider(fontProvider);
            HtmlConverter.convertToPdf(content, bufferedOutputStream, converterProperties);
        } catch (Exception e) {
            log.error("生成 PDF 失败,", e);
        }
    }
}